githubEdit

Credential Issuance APIs

Credential claim API

post
Authorizations
TokenstringRequired
Body
credentialSchemaIdstringOptional
tagsstring[]Optional
Responses
chevron-right
201

Credential successfully issued!

application/json
credentialSchemaIdstringOptional
tagsstring[]Optional
createdAtstringOptional
updatedAtstringOptional
createdBystringOptional
updatedBystringOptional
post
/credentials/issue

Get credentials by id

get
Authorizations
TokenstringRequired
Path parameters
idstringRequired
Header parameters
templateIdstringOptional
acceptstring · enumRequiredPossible values:
Responses
get
/credentials/{id}

Revoke credentials by id

delete
Authorizations
TokenstringRequired
Path parameters
idstringRequired
Responses
delete
/credentials/{id}

Search credentials by issuer and subject

post
Authorizations
TokenstringRequired
Body
typestring · enumOptionalPossible values:
Responses
post
/credentials/search

Verifies a verifiableCredential and returns a verificationResult in the response body.

get

Verifies a verifiableCredential and returns a verificationResult in the response body.

Authorizations
TokenstringRequired
Path parameters
idstringRequired
Responses
get
/credentials/{id}/verify
200

OK

Complete list of revoked credentials (Need to be discussed)

get
Authorizations
TokenstringRequired
Query parameters
issuerIdstringRequired

The ID of the issuer

pagestringRequired

The page number

limitstringRequired

The limit of items per page

Responses
get
/credentials/revocation-list

Last updated